### Function

# FwupdPlugin Volume new_by_kind

since: 1.8.2

#### Declaration [src]

    GPtrArray*
    fu_volume_new_by_kind (
      const gchar* kind,
      GError** error
    )

#### Description [src]

Finds all volumes of a specific partition type. For ESP type partitions exclude any known partitions names that correspond to recovery partitions.

Available since: 1.8.2

#### Parameters

`kind`

  Type: `const gchar*`

  A volume kind, typically a GUID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `FuVolume*`

A `GPtrArray`, or `NULL` if the kind was not found.

The caller of the function takes ownership of the data container, but not the data inside it.